org.cybergarage.http

## Class HTTPRequest

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPRequest

- Direct Known Subclasses:
    SOAPRequest, SSDPRequest, SubscriptionRequest

      public class HTTPRequest
      extends HTTPPacket

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPRequest()`
    `HTTPRequest(HTTPSocket httpSock)`
    `HTTPRequest(InputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFirstLineString()`
    `String` | `getHeader()`
    `String` | `getHTTPVersion()`
    `String` | `getLocalAddress()`
    `int` | `getLocalPort()`
    `String` | `getMethod()`
    `ParameterList` | `getParameterList()`
    `String` | `getParameterValue(String name)`
    `String` | `getRequestHost()`
    `int` | `getRequestPort()`
    `HTTPSocket` | `getSocket()`
    `String` | `getURI()`
    `boolean` | `isGetRequest()`
    `boolean` | `isHeadRequest()`
    `boolean` | `isKeepAlive()`
    `boolean` | `isMethod(String method)`
    `boolean` | `isNotifyRequest()`
    `boolean` | `isPostRequest()`
    `boolean` | `isSOAPAction()`
    `boolean` | `isSubscribeRequest()`
    `boolean` | `isUnsubscribeRequest()`
    `boolean` | `parseRequestLine(String lineStr)`
    `boolean` | `post(HTTPResponse httpRes)`
    `HTTPResponse` | `post(String host, int port)`
    `HTTPResponse` | `post(String host, int port, boolean isKeepAlive)`
    `void` | `print()`
    `boolean` | `read()`
    `boolean` | `returnBadRequest()`
    `boolean` | `returnOK()`
    `boolean` | `returnResponse(int statusCode)`
    `void` | `set(HTTPRequest httpReq)`
    `void` | `setMethod(String value)`
    `void` | `setRequestHost(String host)`
    `void` | `setRequestPort(int host)`
    `void` | `setSocket(HTTPSocket value)`
    `void` | `setURI(String value)`
    `void` | `setURI(String value, boolean isCheckRelativeURL)`
    `String` | `toString()`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPRequest

          public HTTPRequest()

    - #### HTTPRequest

          public HTTPRequest(InputStream in)

    - #### HTTPRequest

          public HTTPRequest(HTTPSocket httpSock)

  - ### Method Detail

    - #### setMethod

          public void setMethod(String value)

    - #### getMethod

          public String getMethod()

    - #### isMethod

          public boolean isMethod(String method)

    - #### isGetRequest

          public boolean isGetRequest()

    - #### isPostRequest

          public boolean isPostRequest()

    - #### isHeadRequest

          public boolean isHeadRequest()

    - #### isSubscribeRequest

          public boolean isSubscribeRequest()

    - #### isUnsubscribeRequest

          public boolean isUnsubscribeRequest()

    - #### isNotifyRequest

          public boolean isNotifyRequest()

    - #### setURI

          public void setURI(String value,
                    boolean isCheckRelativeURL)

    - #### setURI

          public void setURI(String value)

    - #### getURI

          public String getURI()

    - #### getParameterList

          public ParameterList getParameterList()

    - #### getParameterValue

          public String getParameterValue(String name)

    - #### isSOAPAction

          public boolean isSOAPAction()

    - #### setRequestHost

          public void setRequestHost(String host)

    - #### getRequestHost

          public String getRequestHost()

    - #### setRequestPort

          public void setRequestPort(int host)

    - #### getRequestPort

          public int getRequestPort()

    - #### setSocket

          public void setSocket(HTTPSocket value)

    - #### getSocket

          public HTTPSocket getSocket()

    - #### getLocalAddress

          public String getLocalAddress()

    - #### getLocalPort

          public int getLocalPort()

    - #### parseRequestLine

          public boolean parseRequestLine(String lineStr)

    - #### getHTTPVersion

          public String getHTTPVersion()

    - #### getFirstLineString

          public String getFirstLineString()

    - #### getHeader

          public String getHeader()

    - #### isKeepAlive

          public boolean isKeepAlive()

    - #### read

          public boolean read()

    - #### post

          public boolean post(HTTPResponse httpRes)

    - #### post

          public HTTPResponse post(String host,
                          int port,
                          boolean isKeepAlive)

    - #### post

          public HTTPResponse post(String host,
                          int port)

    - #### set

          public void set(HTTPRequest httpReq)

    - #### returnResponse

          public boolean returnResponse(int statusCode)

    - #### returnOK

          public boolean returnOK()

    - #### returnBadRequest

          public boolean returnBadRequest()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### print

          public void print()